# -*-makefile-*-
# $Id$
#
# (c) 2003 by Robert Schwebel <r.schwebel@pengutronix.de>
#             Pengutronix <info@pengutronix.de>, Germany
#          
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXDIST project and license conditions
# see the README file.
#

#
# We provide this package
#
ifdef PTXCONF_LIBIDL082
PACKAGES += libidl082
endif

#
# Paths and names
#
LIBIDL082_VERSION	= 0.8.2
LIBIDL082		= libIDL-$(LIBIDL082_VERSION)
LIBIDL082_SUFFIX	= tar.gz
LIBIDL082_URL		= http://ftp.gnome.org/pub/GNOME/desktop/2.2/2.2.2/sources/$(LIBIDL082).$(LIBIDL082_SUFFIX)
LIBIDL082_SOURCE	= $(SRCDIR)/$(LIBIDL082).$(LIBIDL082_SUFFIX)
LIBIDL082_DIR		= $(BUILDDIR)/$(LIBIDL082)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

libidl082_get: $(STATEDIR)/libidl082.get

libidl082_get_deps	=  $(LIBIDL082_SOURCE)

$(STATEDIR)/libidl082.get: $(libidl082_get_deps)
	@$(call targetinfo, libidl082.get)
	touch $@

$(LIBIDL082_SOURCE):
	@$(call targetinfo, $(LIBIDL082_SOURCE))
	@$(call get, $(LIBIDL082_URL))

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

libidl082_extract: $(STATEDIR)/libidl082.extract

libidl082_extract_deps	=  $(STATEDIR)/libidl082.get

$(STATEDIR)/libidl082.extract: $(libidl082_extract_deps)
	@$(call targetinfo, libidl082.extract)
	@$(call clean, $(LIBIDL082_DIR))
	@$(call extract, $(LIBIDL082_SOURCE))
	touch $@

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

libidl082_prepare: $(STATEDIR)/libidl082.prepare

#
# dependencies
#
libidl082_prepare_deps =  \
	$(STATEDIR)/libidl082.extract \
#	$(STATEDIR)/virtual-xchain.install

LIBIDL082_PATH	=  PATH=$(CROSS_PATH)
LIBIDL082_ENV 	=  $(CROSS_ENV)
LIBIDL082_ENV	+= PKG_CONFIG_PATH=../$(GLIB22):../$(PANGO12):../$(ATK124):../$(LIBIDL082):../$(FREETYPE214):../$(FONTCONFIG22)
LIBIDL082_ENV	+= libIDL_cv_long_long_format=ll

#
# autoconf
#
LIBIDL082_AUTOCONF	=  --prefix=/usr
LIBIDL082_AUTOCONF	+= --build=$(GNU_HOST)
LIBIDL082_AUTOCONF	+= --host=$(PTXCONF_GNU_TARGET)

ifdef PTXCONF_LIBIDL082_FOO
LIBIDL082_AUTOCONF	+= --enable-foo
endif

$(STATEDIR)/libidl082.prepare: $(libidl082_prepare_deps)
	@$(call targetinfo, libidl082.prepare)
	@$(call clean, $(LIBIDL082_BUILDDIR))
	cd $(LIBIDL082_DIR) && \
		$(LIBIDL082_PATH) $(LIBIDL082_ENV) \
		./configure $(LIBIDL082_AUTOCONF)
	touch $@

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

libidl082_compile: $(STATEDIR)/libidl082.compile

libidl082_compile_deps =  $(STATEDIR)/libidl082.prepare

$(STATEDIR)/libidl082.compile: $(libidl082_compile_deps)
	@$(call targetinfo, libidl082.compile)
	
	$(LIBIDL082_PATH) $(LIBIDL082_ENV) make -C $(LIBIDL082_DIR)
	
	touch $@

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

libidl082_install: $(STATEDIR)/libidl082.install

$(STATEDIR)/libidl082.install: $(STATEDIR)/libidl082.compile
	@$(call targetinfo, libidl082.install)

	# libIDL
	install -d $(PTXCONF_PREFIX)/$(PTXCONF_GNU_TARGET)/lib
	cp -f $(LIBIDL082_DIR)/.libs/libIDL-2.so.0.0.0 $(PTXCONF_PREFIX)/$(PTXCONF_GNU_TARGET)/lib
	ln -sf libIDL-2.so.0.0.0 $(PTXCONF_PREFIX)/$(PTXCONF_GNU_TARGET)/lib/libIDL-2.so.0
	ln -sf libIDL-2.so.0.0.0 $(PTXCONF_PREFIX)/$(PTXCONF_GNU_TARGET)/lib/libIDL-2.so
	install -d $(PTXCONF_PREFIX)/$(PTXCONF_GNU_TARGET)/include/libIDL
	cp -f $(LIBIDL082_DIR)/IDL.h $(PTXCONF_PREFIX)/$(PTXCONF_GNU_TARGET)/include/libIDL/
	
	touch $@

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

libidl082_targetinstall: $(STATEDIR)/libidl082.targetinstall

libidl082_targetinstall_deps	=  $(STATEDIR)/libidl082.compile

$(STATEDIR)/libidl082.targetinstall: $(libidl082_targetinstall_deps)
	@$(call targetinfo, libidl082.targetinstall)
	touch $@

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

libidl082_clean:
	rm -rf $(STATEDIR)/libidl082.*
	rm -rf $(LIBIDL082_DIR)

# vim: syntax=make
